
QGIS Application - Bug report #12477

removing programmatically generated field while attribute table is open crashes QGIS

2015-03-30 08:19 AM - Marco Bernasocchi

Status: Closed

Priority: High

Assignee:

Category:

Affected QGIS version:2.8.1 Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 20625

Description

Hi,

when doing the following I can consistently crash qgis:

- load shp

- open attribute table

- programmatically add a field do the SHP

- remove a field using the attribute table GUI

the attached script crashes qgis 2.8.1 when executed in the python console.

Associated revisions

Revision 316210d6 - 2015-06-04 10:28 PM - Jürgen Fischer

fix crash attribute table crash when attributes are added/removed bypassing vector layer (fixes #12477)

Revision c1b74f8b - 2015-06-29 06:45 PM - Jürgen Fischer

fix crash attribute table crash when attributes are added/removed bypassing vector layer (fixes #12477)

(cherry picked from commit 316210d62255729600edfe0ab8b3b43312725be5)

History

#1 - 2015-03-30 08:26 AM - Jürgen Fischer

- Assignee deleted (Jürgen Fischer)

#2 - 2015-06-04 05:48 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"316210d62255729600edfe0ab8b3b43312725be5".

Files

killqgis.py 849 Bytes 2015-03-30 Marco Bernasocchi

stack.txt 4.03 KB 2015-03-30 Marco Bernasocchi
